Core - Story # 55078

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Status: Closed Priority: Should have
Author: Ingo Schmitt Category: Performance
Created: 2014-01-16 Assigned To:

Updated: 2015-02-06 Due date:

TYPO3 Version: 6.2

PHP Version:

Sprint Focus:

Subject: Optimize PHP code performance in TYPO3 methods

Description

Subtasks:

Task # 54777: Use PHP native htmispecialchars_decode() Resolved
Task # 54085: Replace all stremp() calls with === Resolved
Task # 54091: Use === operator instead of strlen() to check for zero length strings Resolved
Task # 54265: Use (int) instead of intval() or (integer) Resolved
Task # 54560: Replace JavaScriptEncoder with json_encode() Resolved
Task # 55198: Replace trimExplode + foreach with explode + trim within foreach Resolved
Task # 54525: Optimize file- and path functions in GeneralUtility Resolved
Task # 55122: Cleanup and optimize methods in ExtensionManagementUtility Resolved
Task # 54734: Optimize ext_tables and ext_localconf cache files Closed
History

#1 - 2014-01-16 16:49 - Ingo Schmitt
- Tracker changed from Task to Story

#2 - 2014-01-28 09:52 - Ernesto Baschny

- Subject changed from optimize php internal calls to use more high-performance methods to Optimize PHP code performance in TYPO3 methods

- Status changed from New to Accepted

#3 - 2015-02-06 21:54 - Christian Kuhn
- Status changed from Accepted to Closed

Closing since all child issues are resolved or closed.
